Description: Fix incompatibilities with php8.0.
Author: Andrius Merkys <merkys@debian.org>
--- a/Text_Figlet-1.0.2/Text/Figlet.php
+++ b/Text_Figlet-1.0.2/Text/Figlet.php
@@ -245,7 +245,7 @@
                     $i = hexdec(substr($i, 2));
                 } else {
                     // If octal
-                    if ($i{0} === '0' && $i !== '0' || substr($i, 0, 2) == '-0') {
+                    if ($i[0] === '0' && $i !== '0' || substr($i, 0, 2) == '-0') {
                         $i = octdec($i);
                     }
                 }
@@ -288,7 +288,7 @@
                 $lt = hexdec(substr($str, $i+2, 4));
                 $i += 5;
             } else {
-                $lt = ord($str{$i});
+                $lt = ord($str[$i]);
             }
 
             $hb = preg_quote($this->hardblank, '/');
